/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Specifies the settings for the adaptive breakpoints of the component.
 */
export interface AdaptiveSettings {
    /**
     * Sets the screen width in pixels up to which the component will render a full-screen modal.
     *
     * @default 500
     */
    small?: number;
    /**
     * Sets the screen width in pixels up to which the component will render a docked to the bottom modal. Uses the `small` adaptive breakpoint as a lower boundary.
     *
     * @default 768
     */
    medium?: number;
}
