/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DragHandleDirective } from "./drag-and-drop/draghandle.directive";
import { DragTargetContainerDirective } from "./drag-and-drop/dragtarget-container.directive";
import { DragTargetDirective } from "./drag-and-drop/dragtarget.directive";
import { DropTargetContainerDirective } from "./drag-and-drop/droptarget-container.directive";
import { DropTargetDirective } from "./drag-and-drop/droptarget.directive";
import { HintComponent } from "./drag-and-drop/hint.component";
/**
 * Utility array that contains all `Drag and Drop` related components and directives
 */
export declare const KENDO_DRAGANDDROP: readonly [typeof DragTargetDirective, typeof DragHandleDirective, typeof DropTargetDirective, typeof DragTargetContainerDirective, typeof DropTargetContainerDirective, typeof HintComponent];
/**
* Utility array that contains all `@progress/kendo-angular-utils` related components and directives.
* > As of now, `KENDO_UTILS` includes only the `KENDO_DRAGANDDROP` utility array and their usage is equivalent.
*/
export declare const KENDO_UTILS: readonly [typeof DragTargetDirective, typeof DragHandleDirective, typeof DropTargetDirective, typeof DragTargetContainerDirective, typeof DropTargetContainerDirective, typeof HintComponent];
