/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef } from "@angular/core";
import * as i0 from "@angular/core";
/**
 * Represents the Kendo UI DragHandle directive for Angular.
 * It is used to specify a concrete element within a drag target as a handle for dragging, instead the drag target itself.
 */
export declare class DragHandleDirective {
    element: ElementRef;
    touchActionStyle: string;
    /**
     * Specifies the cursor style of the drag handle. Accepts same values as the [CSS `cursor` property](https://developer.mozilla.org/en-US/docs/Web/CSS/cursor#values).
     *
     * @default 'move'
     */
    cursorStyle: string;
    constructor(element: ElementRef);
    static ɵfac: i0.ɵɵFactoryDeclaration<DragHandleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DragHandleDirective, "[kendoDragHandle]", ["kendoDragHandle"], { "cursorStyle": { "alias": "cursorStyle"; "required": false; }; }, {}, never, never, true, never>;
}
