/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NormalizedDragEvent } from '@progress/kendo-draggable-common';
/**
 * Arguments for the dragReady event of the DragTarget and DragTargetContainer.
 */
export declare class DragTargetDragReadyEvent {
    /**
     * The normalized drag event.
     */
    dragEvent: NormalizedDragEvent;
    /**
     * The DOM element that is being dragged.
     */
    dragTarget: HTMLElement;
    /**
     * The identifier passed to the `dragTargetId` input property of the `DragTarget` or `DragTargetContainer` directive.
     */
    dragTargetId?: any;
    /**
     * The index of the current drag target in the collection of drag targets (applicable for the `DragTargetContainer` directive).
     */
    dragTargetIndex?: number;
    /**
     * @hidden
     */
    constructor(args?: any);
}
