/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef } from "@angular/core";
import { ScrollDirection } from "./scroll-direction";
/**
 * Represents additional configuration options for the autoScroll functionality of the DragTarget.
 */
export interface AutoScrollOptions {
    /**
     * Overrides the calculated element used for boundary detection, used to calculate the autoScroll velocity.
     */
    boundaryElementRef?: ElementRef;
    /**
     * Specifies the direction of the autoScroll functionality.
     */
    direction?: ScrollDirection;
    /**
     * Specifies whether the autoScroll functionality will be enabled.
     */
    enabled?: boolean;
}
