/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef, ViewContainerRef } from "@angular/core";
/**
 * Represents additional configuration options for the hint element of the DragTarget and DragTargetContainer directives.
 */
export interface HintSettings {
    /**
     * Renders the passed template as a hint of the current DragTarget.
     */
    hintTemplate?: TemplateRef<any>;
    /**
     * The CSS classes that will be rendered on the hint host element when the default hint is utilized. Supports the type of values that are supported by [ngClass](link:site.data.urls.angular['ngclassapi']).
     */
    hintClass?: any;
    /**
     * Controls the hint container. By default, the hint will be appended to the document body.
     */
    appendTo?: ViewContainerRef;
}
